> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe To Matchmaking Resource

> Subscribe to match resource notifications.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| MatchmakingAttributeInvalid | 2046 |
| MatchmakingBadRequest | 2059 |
| MatchmakingEntityInvalid | 2001 |
| MatchmakingTicketNotFound | 2018 |
| MatchmakingUnauthorized | 2056 |
| PubSubConnectionHandleInvalid | 2503 |
| PubSubConnectionNotFoundForEntity | 2502 |
| PubSubSubscriptionLimitExceeded | 2504 |




## OpenAPI

````yaml /services/playfab/api-references/rest/multiplayer/multiplayer.openapi.json post /Match/SubscribeToMatchmakingResource
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Multiplayer API
  description: >-
    API methods for managing multiplayer servers. API methods for managing
    parties. The lobby service helps players group together to play multiplayer
    games. It is often used as a rendezvous point for players to share
    connection information. The TrueSkill service helps titles to estimate a
    player's skill based on their match results. The player skill values from
    this service are commonly used by a matchmaking service to provide players
    with balanced matches.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Lobby
    description: ''
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Matchmaking Admin
    description: Matchmaking Admin APIs
  - name: MultiplayerServer
    description: Multiplayer Server APIs
  - name: PubSub
    description: PlayFab PubSub APIs
  - name: TrueSkill
    description: TrueSkill APIs
  - name: TrueSkill Admin
    description: TrueSkill Admin APIs
paths:
  /Match/SubscribeToMatchmakingResource:
    post:
      tags:
        - Matchmaking
      summary: Subscribe To Matchmaking Resource
      description: |
        Subscribe to match resource notifications.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | MatchmakingAttributeInvalid | 2046 |
        | MatchmakingBadRequest | 2059 |
        | MatchmakingEntityInvalid | 2001 |
        | MatchmakingTicketNotFound | 2018 |
        | MatchmakingUnauthorized | 2056 |
        | PubSubConnectionHandleInvalid | 2503 |
        | PubSubConnectionNotFoundForEntity | 2502 |
        | PubSubSubscriptionLimitExceeded | 2504 |
      operationId: SubscribeToMatchmakingResource
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscribeToMatchResourceRequest'
        description: >-
          Subscribe to match resource notifications. Match subscriptions have
          two types; MatchInvite and MatchTicketStatusChange
      responses:
        '200':
          $ref: '#/components/responses/SubscribeToMatchResourceResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    SubscribeToMatchResourceRequest:
      description: >-
        Subscribe to match resource notifications. Match subscriptions have two
        types; MatchInvite and MatchTicketStatusChange
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        EntityKey:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            The entity performing the subscription. The entity must be
            authorized to use this connectionHandle.
        PubSubConnectionHandle:
          description: >-
            Opaque string, given to a client upon creating a connection with
            PubSub. Notifications will be sent to the connection associated with
            this handle.
          type: string
        ResourceId:
          description: >-
            The name of the resource to subscribe to. It follows the format
            {queueName}|{ticketId} for MatchTicketStatusChange. For MatchInvite,
            ResourceId is @me.
          type: string
        SubscriptionVersion:
          description: >-
            Version number for the subscription of this resource. Current
            supported version must be 1.
          type: number
          x-actualtype: uint32
        Type:
          description: >-
            Subscription type. MatchInvite subscriptions are per-player.
            MatchTicketStatusChange subscriptions are per-ticket. Subscribe
            calls are idempotent. Subscribing on the same resource for the same
            connection results in success.
          type: string
      required:
        - Type
        - ResourceId
        - SubscriptionVersion
        - PubSubConnectionHandle
        - EntityKey
      example:
        Type: MatchTicketStatusChange
        ResourceId: 5a58afee-a9d7-4a47-875b-48bae4dc0590
        SubscriptionVersion: 1
        PubSubConnectionHandle: PubSubConnection
        EntityKey: {}
      x-AnyInclusiveFlags:
        - RequiresOptionalValueSupport
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    SubscribeToMatchResourceResult:
      type: object
      properties:
        Topic:
          description: Matchmaking resource
          type: string
      required:
        - Topic
      example:
        Topic: MatchResourceTopic
      x-AnyInclusiveFlags:
        - RequiresOptionalValueSupport
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    SubscribeToMatchResourceResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/SubscribeToMatchResourceResult'
            example:
              code: 200
              status: OK
              data:
                Topic: MatchResourceTopic
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Subscribe To Matchmaking Resource](/services/playfab/api-references/rest/multiplayer/matchmaking/subscribe-to-matchmaking-resource.md)
- [Subscribing to resources for real-time messages](/services/playfab/multiplayer/real-time-messages/subscribing-to-resources.md)
- [Subscribe To Lobby Resource](/services/playfab/api-references/rest/multiplayer/lobby/subscribe-to-lobby-resource.md)
- [Unsubscribe From Matchmaking Resource](/api-reference/matchmaking/unsubscribe-from-matchmaking-resource.md)
- [Real-time messages for Lobby and Matchmaking APIs](/services/playfab/multiplayer/real-time-messages/overview.md)
